<?php

class ModelTotalPagseguroAPI extends Model
{
  public function getTotal(&$total_data, &$total)
  {

    if (isset($this->session->data['payment_method']) &&
      ($this->session->data['payment_method']['code'] == Type_PagseguroConfigs::Tp_NameModule)) {

      $this->language->load('total/pagseguro_api');
      $this->load->helper('ftr_geral');
      $desconto = false;

      switch ($this->session->data['payment_method']['code_type']) {
        case Type_PaymentOption::Tp_Billet:
          if ($this->config->get('pagseguro_api_billet')) {
            $pagseguro_api_billet = $this->config->get('pagseguro_api_billet');
            $desconto = ftr_geral::getPaymentDiscount(array($pagseguro_api_billet), $total, $this->cart->getTotal());
            $title = $this->language->get('text_discount_billet');
          }
          break;
        default:
          return false;
      }

      if (!$desconto) {
        return false;
      }

      $total -= ($desconto * -1);

      $total_data[] = array(
        'code' => 'pagseguro_api',
        'title' => $title,
        'text' => $this->currency->format($desconto),
        'value' => $desconto,
        'sort_order' => $this->config->get('pagseguro_api_discount_order')
      );

    }else{
      return false;
    }

  }

}
